HappHapp Docs
Assistants

Transfer assistant to another company

POST
/api/assistants/{id}/copy

Moves an assistant from one company to another, recreating all external resources (ElevenLabs, vectors) in the new company while preserving assistant configuration and knowledge.

Authorization

access-token
X-Access-Token<token>

Enter your Access Token (format: happ_...)

In: header

Path Parameters

id*string

ID of the assistant to transfer

Formatuuid
companyId*string

ID of the target company to transfer the assistant to

Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/api/assistants/497f6eca-6276-4993-bfeb-53cbbbba6f08/copy" \  -H "Content-Type: application/json" \  -d '{}'
{  "success": true,  "newAssistantId": "2e671468-83c2-4a0b-995b-5cc9d93d6d33"}
Empty
Empty